mob
	proc
		start(mob/monster/M)

			src.isdead=0
			var/location
			var/newloc=0
			for(var/turf/batloc/K in world)

				var/inuse=0 //used to check if the batloc is being used
				for(var/mob/A in K) //checks everything in the same location as the
					if(istype(A,/mob)) //if A is a mob (a player or monster)
						inuse=1 //tell the computer it cannot send you there
				if(inuse) //tells the computer not to send you.
					continue //check the next atom if any more left.
				else //if it is empty you can go to it
					src.lastx=src.x //save
					src.lasty=src.y //your
					src.lastz=src.z //location
					location=K //sets location to the turf
					src.frozen = 0
					src.loc=location //moves you to it
					src.client.lazy_eye=7 //set it so you can move to the edge of the screen and not have the camera move.
					newloc=1 //says that you are battleing
					src.dir=WEST //make it so you are facing the proper direction.
					src.loc=locate(src.x+7,src.y,src.z) //move you to the spot you will sit atduring battle.
					break //continue with the code after the for() loop.
			if(!newloc) //if you haven't got a place to battle
				return 0
			//since you can battle we start with the battle already
			var/mob/N=new M //makes a new monster so you can move it
			N.loc=locate(src.x-12,src.y,src.z)
			src.frozen=0
			src.beginbattle(N)









		beginbattle(var/mob/monster/M)
			if(M==null)
				return
				del(M)
			if(src.isdead == 1)
				return
				del(M)
			sleep(15)
			var/what = input("What to do?","Your Turn")in list("Attack!","Run!")
			switch(what)
				if("Attack!")
					src.attack(M)
				if("Run!")
					src.ran(M)

		attack(var/mob/M)
			var/hit=rand(1,100) //chance to hit the monster
			if(hit==1) //if it equals 1
				usr<<"[src] attacks [M] but miss!" //it missed
			else
				if(hit==100) //but if it is 100
					var/damage=round(round(src.str-M.def)/2)+rand(-1,2) //calculate the damage
					if(damage<=0) //if it is less than 0
						damage=1 //make it 1
					damage=damage*2 //and double it
					usr<<"[src] attacks [M], Critical hit! [damage] hit points!" //because you crited
					M.hp-=damage //take off the damage from the monster
					src.death(M) //and check to see if it breathes.
				else //if the chance wasn't 1 or 100
					var/damage=round(round(src.str-M.def)/2)+rand(-1,2) //calculate damage
					if(damage<=0) //if it equals 0
						damage=1 //make it 1
					usr<<"[src] attacks [M] for [damage] hit points!" //tell them what damage you did
					M.hp-=damage //take off the damage from the monster
					src.death(M) //does blood still flow through its veins or is it all on the ground beside it?
			src.monattack(M) //if it isn't dead the monster will attack

		monattack(var/mob/monster/M)
			if(M)
				var/mhit = rand(1,50)
				if(mhit == 1)
					src<<"[M] misses! Oh no!"
					src.beginbattle(M)
				if(mhit == 50)
					var/dam = M.str*2-src.def
					if(dam<=0)
						dam = 1
					src.hp-=dam
					src<<"Critical! [M] hits you for [dam]!"
					src.pcdeath(src)
				else
					var/dam = M.str-src.def
					if(dam<=0)
						dam = 1
					src.hp-=dam
					src<<"[M] hits you for [dam]!"
					src.pcdeath(src)
				src.beginbattle(M)
		ran(var/mob/monster/M)
			var/chance = rand(1,4)
			if(chance == 1)
				src<<"You try to run, but fail!"
				src.monattack(M)
			else
				src<<"You run away!"
				del M
				src.loc = locate(src.lastx,src.lasty,src.lastz)
				src.frozen = 1
				src.client.lazy_eye = 0



